<?php

namespace Drupal\Tests\openlayers6\Functional;

use Drupal\Tests\BrowserTestBase;

/**
 * Test description.
 *
 * @group openlayers6
 */
class StoreLocatorTest extends BrowserTestBase {

  use Openlayers6TestTrait;

  /**
   * Modules to enable.
   *
   * @var array
   */
  public static $modules = [
    'openlayers6',
    'node',
    'field',
    'field_ui',
    'block',
    'filter',
    'views',
    'serialization',
    'rest',
    'user',
  ];

  /**
   * {@inheritdoc}
   */
  protected $defaultTheme = 'stark';

  /**
   * {@inheritdoc}
   */
  protected function setUp(): void {
    parent::setUp();
    $this->setupEnv();
    $this->createViewForStoreLocator();
    drupal_flush_all_caches();
  }

  /**
   * Test callback.
   */
  public function testFieldRendering() {
    $this->createAdminUserAndLogin();
    $this->createLocatedNodes();
    $this->drupalGet('admin/structure/block');
    $this->getSession()
      ->getPage()
      ->clickLink('Place block in the Content region');
    $this->assertSession()
      ->elementExists('xpath', '//a[contains(@href, "/admin/structure/block/add/openlayers6_openlayers/stark?region=content")]');
    $this->getSession()
      ->getPage()
      ->find('xpath', '//a[contains(@href, "/admin/structure/block/add/openlayers6_openlayers/stark?region=content")]')
      ->click();
    $this->assertSession()
      ->elementExists('xpath', '//option[@value="storelocatortest:rest_export_1"]');
    $this->getSession()->getPage()->pressButton('Save block');
    $this->assertSession()
      ->pageTextContains('The block configuration has been saved.');
    $this->assertSession()
      ->elementExists('xpath', '//div[contains(@data-url,"/api/storelocatortest")]');
  }

}
